CalipelWeb::Application.routes.draw do

  root 'index#index'
  get "index/index", as: 'index', path: 'index'
  get "pages/about", as: 'about', path: 'about'
  get "settings/index", as: 'settings'
  get "settings" => 'settings#index'

  resources :file_imports, only: :create
  resources :imports, only: :index

  namespace "settings" do
    resources :languages, only: [:index, :create, :destroy]    
    resources :language_implementations, only: [:index, :create, :destroy]    
    resources :benchmark_infos, only: [:index, :create, :destroy]    
  end

end
