# == Schema Information
#
# Table name: benchmark_infos
#
#  id          :integer          not null, primary key
#  class       :string(255)
#  selector    :string(255)
#  description :text
#  created_at  :datetime
#  updated_at  :datetime
#

class BenchmarkInfo < ActiveRecord::Base

  has_many :benchmark_results, inverse_of: :benchmark_info

  validates_presence_of :benchmark_class, :benchmark_selector

end
