# == Schema Information
#
# Table name: benchmark_results
#
#  id                         :integer          not null, primary key
#  benchmark_info_id          :integer
#  language_implementation_id :integer
#  created_at                 :datetime
#  updated_at                 :datetime
#

class BenchmarkResult < ActiveRecord::Base

  belongs_to :language_implementation, dependent: :destroy, inverse_of: :benchmark_results
  belongs_to :benchmark_info, dependent: :destroy, inverse_of: :benchmark_results
  has_many :benchmark_durations, inverse_of: :benchmark_result
  has_many :benchmark_parameters, inverse_of: :benchmark_result

end
